
Ryzom - Bug # 889

Status: Closed Priority: Normal
Author: rti Category: NeL: General
Created: 05/12/2010 Assignee: kervala
Updated: 05/28/2010 Due date:
Subject: NLMISC ticksToSecond error on Mac OS X (Patch included)
Description

In Ryzom client on Mac OS X all the animations are running way to fast.
I looked a bit deeper into it, the result it the attached patch.

The basic problem was, that there was a division by 1'000'000 instead of 1'000'000'000 in CTime::ticksToSecond.
I changed a few more lines for the following reason:
This function gets called very frequently, so it needs to be very fast. The original version already used a static for caching the
mach_timebase_info_data_t. I now went a bit further and cache the actual conversion factor in a static. This saves us one
multiplication and one division :) Yay!

I am not quite sure what happens in case of frequency scaling. As I understand it, the conversion factor should change with a changed
CPU frequency. If this is the case, another patch might be necessary here.

History
#1 - 05/12/2010 11:45 am - kervala
- Status changed from New to Assigned
- Assignee set to kervala

Thanks a lot :)

#2 - 05/12/2010 11:46 am - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r106.

#3 - 05/12/2010 11:46 am - kervala
- Target version set to Version 0.8.0

#4 - 05/12/2010 11:48 am - kervala

Hum, i noticed something, didn't you forget "mach_timebase_info(&tbInfo)" to initialize tbInfo ?

#5 - 05/12/2010 11:58 am - rti
- File nel_misc_CTime_ticksToSecond_fix_mac_os_x_THE_WORKING_ONE.patch added

I am sorry. Two errors in a ~8 lines patch.
Here is the fixed one.

#6 - 05/12/2010 12:06 pm - kervala

Applied in changeset r107.

#7 - 05/28/2010 05:24 pm - vl
- Status changed from Resolved to Closed

Files
NLMISC_CTime_ticksToSecond_fix_mac_os_x.patch 667 Bytes 05/12/2010 rti
nel_misc_CTime_ticksToSecond_fix_mac_os_x_THE_WORKING_ONE.patch701 Bytes 05/12/2010 rti
